Package tigase.server

# Class DataForm.Builder

java.lang.Object
tigase.server.DataForm.Builder

Enclosing class:
  DataForm

public static class DataForm.Builder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Builder(Command.DataType type)`
  `Builder(Element parent, Command.DataType type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `DataForm.Field.Builder`
  `addField(DataForm.FieldType type, String var)`
  `DataForm.Builder`
  `addInstructions(String[] instructions)`
  `DataForm.Builder`
  `addTitle(String title)`
  `Element`
  `build()`
  `DataForm.Builder`
  `withField(DataForm.FieldType type, String var, Consumer<DataForm.Field.Builder> consumer)`
  `DataForm.Builder`
  `withFields(Consumer<DataForm.Builder> consumer)`
  `DataForm.Builder`
  `withItem(Consumer<DataForm.Item.Builder> consumer)`
  `DataForm.Builder`
  `withReported(Consumer<DataForm.Reported.Builder> consumer)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Builder

    public Builder(Command.DataType type)

  - ### Builder

    public Builder(Element parent, Command.DataType type)

- ## Method Details

  - ### addTitle

    public DataForm.Builder addTitle(String title)

  - ### addInstructions

    public DataForm.Builder addInstructions(String[] instructions)

  - ### addField

    public DataForm.Field.Builder addField(DataForm.FieldType type, String var)

  - ### withFields

    public DataForm.Builder withFields(Consumer<DataForm.Builder> consumer)

  - ### withField

    public DataForm.Builder withField(DataForm.FieldType type, String var, Consumer<DataForm.Field.Builder> consumer)

  - ### withReported

    public DataForm.Builder withReported(Consumer<DataForm.Reported.Builder> consumer)

  - ### withItem

    public DataForm.Builder withItem(Consumer<DataForm.Item.Builder> consumer)

  - ### build

    public Element build()